## ai ebash-0.2.19b1

=== requirements.txt ===
certifi==2025.8.3
charset-normalizer==3.4.3
idna==3.10
markdown-it-py==3.0.0
mdurl==0.1.2
platformdirs==4.4.0
Pygments==2.19.2
requests==2.32.5
rich==14.1.0
urllib3==2.5.0
tomli>=1.2.0; python_version < "3.11"
tomli-w>=1.0.0
dynaconf==3.2.11
