=== debian/control ===
Source: ai-ebash
Section: utils
Priority: optional
Maintainer: Andrey Bochkarev <andrey.bch.1976@gmail.com>
Build-Depends: debhelper (>= 9), dh-python, python3-all
Standards-Version: 4.5.0

Package: ai-ebash
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Console utility for integrating artificial intelligence into a Linux terminal.
 A simple CLI wrapper for AI written in Python.
