## ai ebash-0.4.7

=== requirements.txt ===
--- 
+++ 
@@ -8,6 +8,5 @@
 requests==2.32.5
 rich==14.1.0
 urllib3==2.5.0
-tomli>=1.2.0; python_version < "3.11"
-tomli-w>=1.0.0
-dynaconf==3.2.11
+openai>=1.0.0
+pyyaml>=6.0
