=== debian/rules ===
#!/usr/bin/make -f

%:
    dh $@ --with python3,virtualenv

override_dh_virtualenv:
    dh_virtualenv --python python3 \
        --install-suffix ai-ebash \
        --requirements requirements.txt
