## ai ebash-0.4.21

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 # Явно вызываем dh_virtualenv на этапе установки, без добавления аддона в '--with'
 override_dh_auto_install:
 	dh_virtualenv --python python3 \
-		--install-suffix ai-ebash \
 		--requirements debian/requirements.txt
 
 # Не выполняем стандартные auto-* этапы (проект упаковывается через dh_virtualenv)
