## ai ebash-0.4.24

=== requirements.txt ===
--- 
+++ 
@@ -8,5 +8,5 @@
 requests==2.32.5
 rich==14.1.0
 urllib3==2.5.0
-openai>=1.0.0
-pyyaml>=6.0
+openai==1.108.0
+PyYAML==6.0.2
