## ai flow-0.2.2

=== requirements.txt ===
--- 
+++ 
@@ -48,9 +48,9 @@
 flask-swagger==0.2.13
 flask-wtf>=0.14.2, <0.15
 Django~=3.2.7
+WTForms==2.3.3
 # Optional dependencies
 apache-flink==1.11.0
-tensorflow==1.15.0
 pymysql==0.9.3
 scikit-learn==0.21.2
 alembic>=1.0,<2.0
@@ -95,7 +95,7 @@
 zope.deprecation>=4.0, <5.0
 mysqlclient~=2.0.3
 mongoengine~=0.22.1
-notification-service==0.2.1
+notification-service==0.2.2
 apache-airflow==2.0.0
 apache-airflow-providers-ftp==1.1.0
 apache-airflow-providers-http==1.1.1
