## ai services-0.5.0rc24

=== docs/requirements.txt ===
furo==2023.3.27
sphinx==5.3.0
myst-parser==1.0.0
