## ai subtitle-0.1.0

=== requirements.txt ===

openai
openai-whisper
ffmpeg-python
srt
platformdirs
colorama
polib
tqdm
